version: "2.4"

## ISLE 8 Draft Prototype
## Feb, 2020
## MVP 1 - Traefik, Solr, MySQL & Drupal (using Woodby images for Apache, Drupal and Solr)
## MVP 2 - Microservices & Connectors (Houdini, Homarus, Hypercube, FITS, ActiveMQ and Cantaloupe)

services:
  mariadb:
    image: mariadb:10.3.22
    environment:
      MYSQL_DATABASE: ${DB_NAME:-drupal}
      MYSQL_USER: ${DB_USER:-drupal}
      MYSQL_PASSWORD: ${DB_PASSWORD:-dbpassword}
      MYSQL_ROOT_PASSWORD: ${DB_ROOT_PASSWORD:-dbpassword}
    volumes:
      - mariadb-data:/var/lib/mysql
    healthcheck:
      # https://dev.mysql.com/doc/refman/8.0/en/mysqladmin.html#command_mysqladmin_ping
      test: ["CMD", "mysqladmin", "ping", "--silent"]

  drupal:
    image: registry.gitlab.com/calincs/cwrc/orlando-cambridge/master:latest
    depends_on:
      mariadb:
        condition: service_healthy
    ports:
      - 8000:8080
    environment:
      APP_NAME: ${APP_NAME:-orlando}
      APP_ROOT: ${APP_ROOT:-/var/www/app}
      APP_ACCOUNT_NAME: ${DRUPAL_USER_NAME:-orlando}
      APP_ACCOUNT_MAIL: ${DRUPAL_USER_EMAIL:-orlando@example.com}
      APP_ACCOUNT_PASS: ${APP_ACCOUNT_PASS:-orlando}
      DB_NAME: ${DB_NAME:-drupal}
      DB_USER: ${DB_USER:-drupal}
      DB_PASSWORD: ${DB_PASSWORD:-dbpassword}
      DB_HOST: "mariadb"
      DB_PORT: ${DB_PORT:-3306}
      DB_DRIVER: ${DB_DRIVER:-mysql}
      DRUSH_OPTIONS_URI: "${DRUPAL_LOCAL_URL:-localhost:8000}"
      DRUPAL_HASH_SALT: ${DRUPAL_HASH_SALT:-tfvQNpDFG2CjY9WHGNgFqC3eoMjyg5pZdGMQ74zjmnIoe0bi8F3hUvBWnGFIAM3nnj2iWA}
      NGINX_LISTEN_PORT: "8080"
      AUTO_INSTALL: "true"
    volumes:
      - drupal-files:${FILES_DIR:-/mnt/files}

volumes:
  mariadb-data:
  drupal-files:
